curl -X POST https://api.tryprofound.com/v2/reports/query-fanouts \
-H "X-API-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"category_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"start_date": "2026-06-09",
"end_date": "2026-06-15"
}'
{
"info": {
"total_results": 322,
"count": 10,
"next_cursor": "Z0FBQUFBQnFQcVJ3R1RlcGtXc0g5eTZT...",
"models": ["ChatGPT", "Google Gemini", "Perplexity", "Claude", "..."],
"metrics": ["total_fanouts", "fanouts_per_execution", "query_variations"],
"start_date": "2026-06-09",
"end_date": "2026-06-15",
"coverage_note": "Fanout metrics cover only runs that emitted query-fanout data.",
"filter": null
},
"data": [
{ "prompt": "AI search optimization startups...", "rank": 1, "total_fanouts": 190, "fanouts_per_execution": 3.0, "query_variations": 143 },
{ "prompt": "Best AI visibility products...", "rank": 2, "total_fanouts": 168, "fanouts_per_execution": 2.7, "query_variations": 143 }
// ...8 more rows in this page (count: 10, total_results: 322); paginate with next_cursor
]
}
レポート v2
クエリファンアウト
POST
/
v2
/
reports
/
query-fanouts
curl -X POST https://api.tryprofound.com/v2/reports/query-fanouts \
-H "X-API-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"category_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"start_date": "2026-06-09",
"end_date": "2026-06-15"
}'
{
"info": {
"total_results": 322,
"count": 10,
"next_cursor": "Z0FBQUFBQnFQcVJ3R1RlcGtXc0g5eTZT...",
"models": ["ChatGPT", "Google Gemini", "Perplexity", "Claude", "..."],
"metrics": ["total_fanouts", "fanouts_per_execution", "query_variations"],
"start_date": "2026-06-09",
"end_date": "2026-06-15",
"coverage_note": "Fanout metrics cover only runs that emitted query-fanout data.",
"filter": null
},
"data": [
{ "prompt": "AI search optimization startups...", "rank": 1, "total_fanouts": 190, "fanouts_per_execution": 3.0, "query_variations": 143 },
{ "prompt": "Best AI visibility products...", "rank": 2, "total_fanouts": 168, "fanouts_per_execution": 2.7, "query_variations": 143 }
// ...8 more rows in this page (count: 10, total_results: 322); paginate with next_cursor
]
}
AI がプロンプトに回答する際に裏側で生成する検索クエリです。
カバレッジは部分的です: 指標は、ファンアウトデータを出力した実行のみを対象とします (
info.coverage_note を参照)。
- 指標:
total_fanouts(クエリ数)、fanouts_per_execution(実行あたりの平均クエリ数)、query_variations(異なるファンアウトクエリの数)、share。 group_by:prompt(デフォルト)、query、model、region、date。queryを使用するにはgroup_byにpromptが必要です。shareにはqueryが必要です。query_variationsはqueryと組み合わせられません。analysis_typeフィルタのデフォルトはvisibilityです。
v2 レポートを初めて使用する場合は、共通のリクエスト形式、フィルタツリー、グループ化、ページネーションについて フィルタリングと概念 を参照してください。
ストリーミング (SSE) バリアント (同じボディ、/stream)
ストリーミング (SSE) バリアント (同じボディ、/stream)
POST /v2/reports/query-fanouts/stream は 同じリクエストボディ を受け取り、
Server-Sent Events を返します。
まず 1 つの summary イベント (info ブロック) が送信され、続いて行ごとに 1 つの result イベントが送信されます。
limit/cursor は無視され、デフォルトではすべての結果が返されます。上限を設けるには
max_results を指定します。Response (text/event-stream)
event: summary
data: { ...the info block... }
event: result ← one per row, same shape as data[] above
data: {"prompt": "AI search optimization startups...", "rank": 1, "total_fanouts": 190, "fanouts_per_execution": 3.0, "query_variations": 143}
curl -X POST https://api.tryprofound.com/v2/reports/query-fanouts \
-H "X-API-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"category_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"start_date": "2026-06-09",
"end_date": "2026-06-15"
}'
{
"info": {
"total_results": 322,
"count": 10,
"next_cursor": "Z0FBQUFBQnFQcVJ3R1RlcGtXc0g5eTZT...",
"models": ["ChatGPT", "Google Gemini", "Perplexity", "Claude", "..."],
"metrics": ["total_fanouts", "fanouts_per_execution", "query_variations"],
"start_date": "2026-06-09",
"end_date": "2026-06-15",
"coverage_note": "Fanout metrics cover only runs that emitted query-fanout data.",
"filter": null
},
"data": [
{ "prompt": "AI search optimization startups...", "rank": 1, "total_fanouts": 190, "fanouts_per_execution": 3.0, "query_variations": 143 },
{ "prompt": "Best AI visibility products...", "rank": 2, "total_fanouts": 168, "fanouts_per_execution": 2.7, "query_variations": 143 }
// ...8 more rows in this page (count: 10, total_results: 322); paginate with next_cursor
]
}
承認
APIKeyHeaderBearerAuth
ボディ
application/json
YYYY-MM-DD, ET, inclusive
YYYY-MM-DD, ET, inclusive
利用可能なオプション:
date, model, region, prompt, query 利用可能なオプション:
fanouts_per_execution, total_fanouts, share, query_variations 利用可能なオプション:
day, week, month A leaf (field/op/value) or an and/or/not group.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Page size; default 10, max 50.
必須範囲:
0 < x <= 50Stream endpoint only: cap the number of streamed rows (default: all).
必須範囲:
x > 0このページは役に立ちましたか?